/**
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010.
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 *  Authors:
 *  2007-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl>
 *
 */


#ifndef NET_COMMON_H
  #define NET_COMMON_H

#define XACML_KEEPALIVE_SYSTEMDEFAULT  0
#define XACML_KEEPALIVE_DISABLED       1
#define XACML_KEEPALIVE_ENABLED        2


void xacml_io_set_socket_timeout(long);
long xacml_io_get_socket_timeout(void);

void xacml_io_set_connection_timeout(long);
long xacml_io_get_connection_timeout(void);

void xacml_io_set_incremental_backoff(unsigned);
unsigned xacml_io_get_incremental_backoff(void);

void xacml_io_set_keepalive(int input);
int  xacml_io_get_keepalive(void);


int xacml_io_setup_master_socket (int * master_socket, int port);
int xacml_io_accept_new_client_socket (int master_socket,
                                       int * client_socket,
                                       char ** remote_host);
int xacml_io_create_client_socket (int * client_socket,
                                   const char * server,
                                   int port,
                                   long time_out_seconds);

#endif /* NET_COMMON_H */
