/**
 * Copyright (c) Members of the EGEE Collaboration. 2007-2010. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 *
 *  Authors:
 *  2007-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl> 
 *
 *
 */

/*!
    \file   _scas_log.h
    \brief  Internal header file for SCAS logging routines.
    \author Oscar Koeroo for the EGEE project.
    \internal
*/

#ifndef _SCAS_LOG_H
#define _SCAS_LOG_H

/******************************************************************************
                             Include header files
******************************************************************************/
#include <stdio.h>

/******************************************************************************
                               Define constants
******************************************************************************/

#define MAX_TIME_STRING_SIZE 64


/******************************************************************************
 *                            Module definition
 *****************************************************************************/

/******************************************************************************
Function:       scas_log_open()
Description:    Start logging
Parameters:
                path:    path of logfile
                logtype: DO_USRLOG, DO_SYSLOG
		facility: syslog facility
		loglevel: LOG_ERR..LOG_DEBUG
Returns:        0 succes
                1 failure
******************************************************************************/
int scas_log_open( char * path, unsigned short logtype, int facility, int level);

/******************************************************************************
Function:       scas_log_close()
Description:    Stop logging
Parameters:
Returns:        0 succes
                1 failure
******************************************************************************/
int scas_log_close(void);

#endif /* _SCAS_LOG_H */


/******************************************************************************
CVS Information:
    $Source: /srv/home/dennisvd/svn/mw-security/scas/src/scas-server/logging/_scas_log.h,v $
    $Date: 2010-04-29 10:59:40 $
    $Revision: 1.5 $
    $Author: okoeroo $
******************************************************************************/
